#164 geninfo gcov version mis-detect

open
nobody
Tools (21)
5
2013-12-13
2013-03-22
TomasFuego
No

geninfo mis-identifies my gcov version as "1.18.0" from the gcov version string "gcov (crosstool-NG 1.18.0) 4.7.2".

Perhaps geninfo gets it correct most of the time b/c the gcov version string usually has the correct version twice. For example, my ubuntu box's gcov returns: gcov (Ubuntu/Linaro 4.6.3-1ubuntu5) 4.6.3

The fix appears to be to tell Perl to look for the version information at the end of the line in the get_gcov_version function:
if ($version_string =~ /(\d+)\.(\d+)(\.(\d+))$/)

By add "$" to the end of the regex, geninfo correctly identifies my gcov version.

Discussion

  • Fix added to LCOV CVS repository.